//------------------------------------------------------------------
//
//------------------------------------------------------------------
#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1  LimeGreen
#property indicator_color2  LimeGreen
#property indicator_color3  Orange
extern int bars = 500;
double ticks[],ticksUp[],ticksDn[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
int init()
{
   SetIndexBuffer(0,ticks);
   SetIndexBuffer(1,ticksUp);
   SetIndexBuffer(2,ticksDn);
   SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexStyle(2,DRAW_HISTOGRAM);
   SetIndexStyle(0,DRAW_NONE);
   return(0);
}
int deinit()
{
   return(0);
}
//------------------------------------------------------------------
//
//------------------------------------------------------------------
int start()
{
   ArrayCopy(ticks,ticks,1,0,bars); ticks[0] = Bid;
   double TickVal= (ticks[1]-ticks[0])*1000;
   if (TickVal>0)
   {
      ticksUp[0]=TickVal;
      ticksDn[0]=0;
   }
   if (TickVal<0)
   {
      ticksDn[0]=TickVal;
      ticksUp[0]=0;
   }
   else
   {
      ticksDn[0]=ticksDn[1];
      ticksUp[0]=ticksUp[1];
   }
   return(0);
}